package com.chelvc.cloud.vehicle.server.entity;

import java.util.Date;
import java.util.List;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.chelvc.cloud.vehicle.api.constant.ContentStatus;
import com.chelvc.framework.database.entity.Entity;
import com.chelvc.framework.database.interceptor.StringsTypeHandler;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 询价数据模型
 *
 * @author xp
 * @data 2023/3/31
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName(autoResultMap = true)
public class Enquire implements Entity<Long> {
    /**
     * 主键
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 询价类型
     */
    private Long categoryId;

    /**
     * 询价内容
     */
    private String content;

    /**
     * 附件列表
     */
    @TableField(typeHandler = StringsTypeHandler.class)
    private List<String> attachments;

    /**
     * 经度
     */
    private Double latitude;

    /**
     * 纬度
     */
    private Double longitude;

    /**
     * 询价状态
     */
    private ContentStatus status;

    /**
     * 创建时间
     */
    private Date createTime;
}
