package com.chelvc.cloud.vehicle.server.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.chelvc.cloud.vehicle.api.constant.ContentStatus;
import com.chelvc.framework.base.model.Platform;
import com.chelvc.framework.base.model.Terminal;
import com.chelvc.framework.database.entity.Entity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 商家数据模型
 *
 * @author xp
 * @data 2023/4/10
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class Merchant implements Entity<Long> {
    /**
     * 主键
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 分销用户ID
     */
    private Long referrerId;

    /**
     * 商家名称
     */
    private String name;

    /**
     * Logo
     */
    private String logo;

    /**
     * 封面
     */
    private String cover;

    /**
     * 联系人
     */
    private String liaison;

    /**
     * 联系电话
     */
    private String mobile;

    /**
     * 商家等级
     */
    private Integer level;

    /**
     * 详细地址
     */
    private String address;

    /**
     * 纬度
     */
    private Double latitude;

    /**
     * 经度
     */
    private Double longitude;

    /**
     * 是否推荐
     */
    private Boolean recommend;

    /**
     * 详细介绍
     */
    private String description;

    /**
     * 渠道来源
     */
    private String channel;

    /**
     * 使用平台
     */
    private Platform platform;

    /**
     * 使用终端
     */
    private Terminal terminal;

    /**
     * 客户端版本
     */
    private String version;

    /**
     * 商家状态
     */
    private ContentStatus status;

    /**
     * 创建时间
     */
    private Date createTime;
}
