package com.chelvc.cloud.vehicle.server.entity;

import java.util.Date;
import java.util.List;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.chelvc.cloud.vehicle.api.constant.ContentStatus;
import com.chelvc.framework.database.entity.Entity;
import com.chelvc.framework.database.interceptor.StringsTypeHandler;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 商家评价数据模型
 *
 * @author xp
 * @data 2023/4/1
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName(autoResultMap = true)
public class MerchantComment implements Entity<Long> {
    /**
     * 主键
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 商家ID
     */
    private Long merchantId;

    /**
     * 评论内容
     */
    private String content;

    /**
     * 附件
     */
    @TableField(typeHandler = StringsTypeHandler.class)
    private List<String> attachments;

    /**
     * 浏览量
     */
    private Integer viewCount;

    /**
     * 点赞量
     */
    private Integer approveCount;

    /**
     * 评价状态
     */
    private ContentStatus status;

    /**
     * 创建时间
     */
    private Date createTime;
}
